Imagick::transverseImage
Imagick::uniqueImageColors
The Imagick class
PHP Manual

# Imagick::trimImage

(No version information available, might be only in CVS)

Imagick::trimImage — Remove edges from the image

### Description

bool Imagick::trimImage ( float `$fuzz` )
Warning

This function is currently not documented; only its argument list is available.

Remove edges that are the background color from the image.

### Parameters

`fuzz`

  By default target must match a particular pixel color exactly. However, in many cases two colors may differ by a small amount. The fuzz member of image defines how much tolerance is acceptable to consider two colors as the same.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::trimImage():

Trim an image, then display to the browser.

`<?php
/* Create the object and read the image in */
$im = new Imagick( "image.jpg" );
/* Trim the image. */
$im->trimImage( 0 );
/* Ouput the image */
header( "Content-Type: image/" . $im->getImageFormat() );
echo $im;
?>`

Imagick::transverseImage
Imagick::uniqueImageColors
The Imagick class
PHP Manual